package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

public abstract class AbstractId extends AbstractStringValueObject {

  public AbstractId(AbstractId initialValue) {
    this(initialValue.getValue());
  }

  public AbstractId(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 100;
  }

  @Override
  public String toString() {
    return this.getClassName() + ": " + this.getValue();
  }
}
