package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.ids.InputExpressionId;
import de.unikoblenz.fgbks.core.dmn.domain.ids.InputId;
import java.util.List;

public interface VDmnInputColumn extends VDmnColumn {

  default InputExpressionId getInputExpressionId() {
    return (InputExpressionId) getId();
  }

  default InputId getInputId() {
    return (InputId) getColumnId();
  }

  default List<VDmnInputValue> getInputValues() {
    return (List<VDmnInputValue>) (List<?>) getValues();
  }
}
