package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class BiCreaterStringAppend extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringAppend instance = new BiCreaterStringAppend();

  private BiCreaterStringAppend() {
    super();
  }

  public static BiCreaterStringAppend getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.APPEND;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    return Optional.empty();
  }
}
