package de.unikoblenz.fgbks.core.test;

import de.unikoblenz.fgbks.base.domain.Name;
import java.io.Serializable;
import java.util.Objects;

public class Person implements Serializable {

  private Name name;

  public Person(Name name) {
    this.name = name;
  }

  public Name getName() {
    return name;
  }

  public void setName(Name name) {
    this.name = name;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Person person = (Person) o;
    return Objects.equals(name, person.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name);
  }
}
